HP LeftHand array iSCSI driver cert test results

Bug #1276809 reported by Jim Branen on 2014-02-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Jim Branen

Bug Description

========================================================
02/03/14/16:34:08:RUNNING CINDER DRIVER CERTIFICATION CHECK,
========================================================
02/03/14/16:34:08:Output is being logged to: /tmp/tmp.iJxr5M0NY4

========================================================
02/03/14/16:34:08:Cloning to <email address hidden>:openstack/cinder.git...,
========================================================

========================================================
02/03/14/16:34:12:Pull a fresh Clone of cinder repo...,
========================================================
# On branch master
# Untracked files:
# (use "git add <file>..." to include in what will be committed)
#
# cinder/volume/drivers/san/hp/hp_lefthand_cliq_proxy.py
# cinder/volume/drivers/san/hp/hp_lefthand_iscsi.py
# cinder/volume/drivers/san/hp/hp_lefthand_rest_proxy.py
nothing added to commit but untracked files present (use "git add" to track)
4c69c846d261870fc88a42b562994bc6e90f1a02 Merge "Do not show quota of removed volume types in Default Quotas panel"

========================================================
02/03/14/16:34:12:Gathering copy of cinder.conf file (passwords will be scrubbed)...,
========================================================
[DEFAULT]
logging_exception_prefix = %(color)s%(asctime)s.%(msecs)03d TRACE %(name)s %(instance)s
logging_debug_format_suffix = from (pid=%(process)d) %(funcName)s %(pathname)s:%(lineno)d
logging_default_format_string = %(asctime)s.%(msecs)03d %(color)s%(levelname)s %(name)s [-%(color)s] %(instance)s%(color)s%(message)s
logging_context_format_string = %(asctime)s.%(msecs)03d %(color)s%(levelname)s %(name)s [%(request_id)s %(user_id)s %(project_id)s%(color)s] %(instance)s%(color)s%(message)s
rabbit_password = xxx
rabbit_host = localhost
rpc_backend = cinder.openstack.common.rpc.impl_kombu
periodic_interval = 60
lock_path = /opt/stack/data/cinder
state_path = /opt/stack/data/cinder
osapi_volume_extension = cinder.api.contrib.standard_extensions
rootwrap_config = /etc/cinder/rootwrap.conf
api_paste_config = /etc/cinder/api-paste.ini
sql_connection = mysql://root:hpinvent@127.0.0.1/cinder?charset=utf8
iscsi_helper = tgtadm
my_ip = 10.10.22.230
volume_name_template = volume-%s
volume_group = stack-volumes
verbose = True
debug = True
auth_strategy = keystone
hplefthand_api_url=https://10.10.22.6:8081/lhos
hplefthand_username=administrator
hplefthand_password= xxx
hplefthand_clustername=ClusterVSA440AO
hplefthand_debug=false
volume_backend_name=lefthand_rest
volume_driver=cinder.volume.drivers.san.hp.hp_lefthand_iscsi.HPLEFTHANDISCSIDriver
[ssl]
[database]
[keymgr]
[rpc_notifier2]
[matchmaker_redis]
[keystone_authtoken]
auth_uri = http://10.10.22.230:5000/v2.0
signing_dir = /var/cache/cinder
admin_password = xxx
admin_user = cinder
admin_tenant_name = service
cafile =
auth_protocol = http
auth_port = 35357
auth_host = 10.10.22.230
[matchmaker_ring]

========================================================
02/03/14/16:34:12:End of cinder.conf.,
========================================================

========================================================
02/03/14/16:34:15:Verify tempest is current....,
========================================================
# On branch master
# Untracked files:
# (use "git add <file>..." to include in what will be committed)
#
# .project
# .pydevproject
nothing added to commit but untracked files present (use "git add" to track)
02/03/14/16:34:15:Check status and get latest commit...
56fe3212d6bd2ab8cc860acbf5f8c5c3f86db909 Merge "add tests for force delete snapshot:"

========================================================
02/03/14/16:34:15:Restart Cinder services...,
========================================================

========================================================
02/03/14/16:34:30:Run the actual tempest volume tests (./tools/pretty_tox.sh api.volume_*)...,
========================================================
tempest.api.volume.admin.test_volume_types_negative.VolumeTypesNegativeTest.test_create_with_empty_name[gate]
tempest.api.volume.admin.test_volume_types_negative.VolumeTypesNegativeTest.test_create_with_empty_name[gate] ... ok
tempest.api.volume.admin.test_volume_types_negative.VolumesTypesNegativeTestXML.test_create_with_empty_name[gate]
tempest.api.volume.admin.test_volume_types_negative.VolumesTypesNegativeTestXML.test_create_with_empty_name[gate] ... ok
tempest.api.volume.test_extensions.ExtensionsTestJSON.test_list_extensions[gate]
tempest.api.volume.test_extensions.ExtensionsTestJSON.test_list_extensions[gate] ... ok
tempest.api.volume.test_extensions.ExtensionsTestXML.test_list_extensions[gate]
tempest.api.volume.test_extensions.ExtensionsTestXML.test_list_extensions[gate] ... ok
setUpClass (tempest.api.volume.admin.test_multi_backend.VolumeMultiBackendTest)
setUpClass (tempest.api.volume.admin.test_multi_backend.VolumeMultiBackendTest) ... skipped u'Cinder multi-backend feature disabled'
tempest.api.volume.test_volumes_snapshots_negative.VolumesSnapshotNegativeTest.test_create_snapshot_with_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_snapshots_negative.VolumesSnapshotNegativeTest.test_create_snapshot_with_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_snapshots_negative.VolumesSnapshotNegativeTest.test_create_snapshot_without_passing_volume_id[gate,negative]
tempest.api.volume.test_volumes_snapshots_negative.VolumesSnapshotNegativeTest.test_create_snapshot_without_passing_volume_id[gate,negative] ... ok
tempest.api.volume.test_volume_metadata.VolumeMetadataTestXML.test_create_get_delete_volume_metadata[gate]
tempest.api.volume.test_volume_metadata.VolumeMetadataTestXML.test_create_get_delete_volume_metadata[gate] ... ok
tempest.api.volume.admin.test_volume_types.VolumeTypesTest.test_create_get_delete_volume_with_volume_type_and_extra_specs[gate,smoke]
tempest.api.volume.admin.test_volume_types.VolumeTypesTest.test_create_get_delete_volume_with_volume_type_and_extra_specs[gate,smoke] ... ok
tempest.api.volume.test_volumes_snapshots_negative.VolumesSnapshotNegativeTestXML.test_create_snapshot_with_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_snapshots_negative.VolumesSnapshotNegativeTestXML.test_create_snapshot_with_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_snapshots_negative.VolumesSnapshotNegativeTestXML.test_create_snapshot_without_passing_volume_id[gate,negative]
tempest.api.volume.test_volumes_snapshots_negative.VolumesSnapshotNegativeTestXML.test_create_snapshot_without_passing_volume_id[gate,negative] ... ok
tempest.api.volume.admin.test_volume_types.VolumeTypesTest.test_volume_type_create_get_delete[gate,smoke]
tempest.api.volume.admin.test_volume_types.VolumeTypesTest.test_volume_type_create_get_delete[gate,smoke] ... ok
tempest.api.volume.test_volume_metadata.VolumeMetadataTestXML.test_update_volume_metadata[gate]
tempest.api.volume.test_volume_metadata.VolumeMetadataTestXML.test_update_volume_metadata[gate] ... ok
tempest.api.volume.admin.test_volume_types.VolumeTypesTest.test_volume_type_list[gate,smoke]
tempest.api.volume.admin.test_volume_types.VolumeTypesTest.test_volume_type_list[gate,smoke] ... ok
tempest.api.volume.test_volumes_get.VolumesGetTestXML.test_volume_create_get_update_delete[gate,smoke]
tempest.api.volume.test_volumes_get.VolumesGetTestXML.test_volume_create_get_update_delete[gate,smoke] ... ok
tempest.api.volume.test_volume_metadata.VolumeMetadataTestXML.test_update_volume_metadata_item[gate]
tempest.api.volume.test_volume_metadata.VolumeMetadataTestXML.test_update_volume_metadata_item[gate] ... ok
tempest.api.volume.admin.test_volume_hosts.VolumeHostsAdminTestsJSON.test_list_hosts[gate]
tempest.api.volume.admin.test_volume_hosts.VolumeHostsAdminTestsJSON.test_list_hosts[gate] ... ok
tempest.api.volume.admin.test_volume_hosts.VolumeHostsAdminTestsXML.test_list_hosts[gate]
tempest.api.volume.admin.test_volume_hosts.VolumeHostsAdminTestsXML.test_list_hosts[gate] ... ok
tempest.api.volume.test_volume_metadata.VolumeMetadataTest.test_create_get_delete_volume_metadata[gate]
tempest.api.volume.test_volume_metadata.VolumeMetadataTest.test_create_get_delete_volume_metadata[gate] ... ok
tempest.api.volume.admin.test_volume_types_negative.VolumesTypesNegativeTestXML.test_create_with_nonexistent_volume_type[gate]
tempest.api.volume.admin.test_volume_types_negative.VolumesTypesNegativeTestXML.test_create_with_nonexistent_volume_type[gate] ... ok
tempest.api.volume.admin.test_volume_types_negative.VolumeTypesNegativeTest.test_create_with_nonexistent_volume_type[gate]
tempest.api.volume.admin.test_volume_types_negative.VolumeTypesNegativeTest.test_create_with_nonexistent_volume_type[gate] ... ok
tempest.api.volume.admin.test_volume_types_negative.VolumesTypesNegativeTestXML.test_delete_nonexistent_type_id[gate]
tempest.api.volume.admin.test_volume_types_negative.VolumesTypesNegativeTestXML.test_delete_nonexistent_type_id[gate] ... ok
tempest.api.volume.admin.test_volume_types_negative.VolumeTypesNegativeTest.test_delete_nonexistent_type_id[gate]
tempest.api.volume.admin.test_volume_types_negative.VolumeTypesNegativeTest.test_delete_nonexistent_type_id[gate] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_create_invalid_body[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_create_invalid_body[gate] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_create_none_body[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_create_none_body[gate] ... ok
tempest.api.volume.admin.test_volume_types_negative.VolumeTypesNegativeTest.test_get_nonexistent_type_id[gate]
tempest.api.volume.admin.test_volume_types_negative.VolumeTypesNegativeTest.test_get_nonexistent_type_id[gate] ... ok
tempest.api.volume.admin.test_volume_types_negative.VolumesTypesNegativeTestXML.test_get_nonexistent_type_id[gate]
tempest.api.volume.admin.test_volume_types_negative.VolumesTypesNegativeTestXML.test_get_nonexistent_type_id[gate] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_create_nonexistent_type_id[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_create_nonexistent_type_id[gate] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_delete_nonexistent_volume_type_id[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_delete_nonexistent_volume_type_id[gate] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_get_nonexistent_extra_spec_id[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_get_nonexistent_extra_spec_id[gate] ... ok
tempest.api.volume.test_volumes_get.VolumesGetTest.test_volume_create_get_update_delete[gate,smoke]
tempest.api.volume.test_volumes_get.VolumesGetTest.test_volume_create_get_update_delete[gate,smoke] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_get_nonexistent_volume_type_id[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_get_nonexistent_volume_type_id[gate] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_list_nonexistent_volume_type_id[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_list_nonexistent_volume_type_id[gate] ... ok
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTest.test_volume_begin_detaching[gate]
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTest.test_volume_begin_detaching[gate] ... ok
tempest.api.volume.test_volume_metadata.VolumeMetadataTest.test_update_volume_metadata[gate]
tempest.api.volume.test_volume_metadata.VolumeMetadataTest.test_update_volume_metadata[gate] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_update_multiple_extra_spec[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_update_multiple_extra_spec[gate] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_update_no_body[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_update_no_body[gate] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_update_none_extra_spec_id[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_update_none_extra_spec_id[gate] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs.VolumeTypesExtraSpecsTest.test_volume_type_extra_spec_create_get_delete[gate,smoke]
tempest.api.volume.admin.test_volume_types_extra_specs.VolumeTypesExtraSpecsTest.test_volume_type_extra_spec_create_get_delete[gate,smoke] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_update_nonexistent_extra_spec_id[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTest.test_update_nonexistent_extra_spec_id[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_attach_volumes_with_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_attach_volumes_with_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_create_volume_with_invalid_size[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_create_volume_with_invalid_size[gate,negative] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs.VolumeTypesExtraSpecsTest.test_volume_type_extra_specs_list[gate,smoke]
tempest.api.volume.admin.test_volume_types_extra_specs.VolumeTypesExtraSpecsTest.test_volume_type_extra_specs_list[gate,smoke] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_attach_volumes_with_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_attach_volumes_with_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_create_volume_with_nonexistent_snapshot_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_create_volume_with_nonexistent_snapshot_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_create_volume_with_invalid_size[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_create_volume_with_invalid_size[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_create_volume_with_nonexistent_source_volid[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_create_volume_with_nonexistent_source_volid[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_create_volume_with_nonexistent_snapshot_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_create_volume_with_nonexistent_snapshot_id[gate,negative] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_create_invalid_body[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_create_invalid_body[gate] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs.VolumeTypesExtraSpecsTest.test_volume_type_extra_specs_update[gate]
tempest.api.volume.admin.test_volume_types_extra_specs.VolumeTypesExtraSpecsTest.test_volume_type_extra_specs_update[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_create_volume_with_nonexistent_volume_type[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_create_volume_with_nonexistent_volume_type[gate,negative] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_create_none_body[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_create_none_body[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_create_volume_with_nonexistent_source_volid[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_create_volume_with_nonexistent_source_volid[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_create_volume_with_out_passing_size[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_create_volume_with_out_passing_size[gate,negative] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_create_nonexistent_type_id[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_create_nonexistent_type_id[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_create_volume_with_size_negative[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_create_volume_with_size_negative[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_create_volume_with_nonexistent_volume_type[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_create_volume_with_nonexistent_volume_type[gate,negative] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_delete_nonexistent_volume_type_id[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_delete_nonexistent_volume_type_id[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_create_volume_with_size_zero[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_create_volume_with_size_zero[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_create_volume_with_out_passing_size[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_create_volume_with_out_passing_size[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_delete_invalid_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_delete_invalid_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_create_volume_with_size_negative[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_create_volume_with_size_negative[gate,negative] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_get_nonexistent_extra_spec_id[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_get_nonexistent_extra_spec_id[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_delete_volume_without_passing_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_delete_volume_without_passing_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_create_volume_with_size_zero[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_create_volume_with_size_zero[gate,negative] ... ok
tempest.api.volume.test_volumes_actions.VolumesActionsTestXML.test_attach_detach_volume_to_instance[compute,gate,smoke,stress]
tempest.api.volume.test_volumes_actions.VolumesActionsTestXML.test_attach_detach_volume_to_instance[compute,gate,smoke,stress] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_get_nonexistent_volume_type_id[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_get_nonexistent_volume_type_id[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_detach_volumes_with_invalid_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_detach_volumes_with_invalid_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_delete_invalid_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_delete_invalid_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_get_invalid_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_get_invalid_volume_id[gate,negative] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_list_nonexistent_volume_type_id[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_list_nonexistent_volume_type_id[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_delete_volume_without_passing_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_delete_volume_without_passing_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_get_volume_without_passing_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_get_volume_without_passing_volume_id[gate,negative] ... ok
tempest.api.volume.test_volume_metadata.VolumeMetadataTest.test_update_volume_metadata_item[gate]
tempest.api.volume.test_volume_metadata.VolumeMetadataTest.test_update_volume_metadata_item[gate] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_update_multiple_extra_spec[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_update_multiple_extra_spec[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_detach_volumes_with_invalid_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_detach_volumes_with_invalid_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_list_volumes_detail_with_invalid_status[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_list_volumes_detail_with_invalid_status[gate,negative] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_update_no_body[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_update_no_body[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_get_invalid_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_get_invalid_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_list_volumes_detail_with_nonexistent_name[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_list_volumes_detail_with_nonexistent_name[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_get_volume_without_passing_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_get_volume_without_passing_volume_id[gate,negative] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_update_none_extra_spec_id[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_update_none_extra_spec_id[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_list_volumes_with_invalid_status[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_list_volumes_with_invalid_status[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_list_volumes_detail_with_invalid_status[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_list_volumes_detail_with_invalid_status[gate,negative] ... ok
tempest.api.volume.test_volumes_get.VolumesGetTestXML.test_volume_create_get_update_delete_as_clone[gate]
tempest.api.volume.test_volumes_get.VolumesGetTestXML.test_volume_create_get_update_delete_as_clone[gate] ... ok
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_update_nonexistent_extra_spec_id[gate]
tempest.api.volume.admin.test_volume_types_extra_specs_negative.ExtraSpecsNegativeTestXML.test_update_nonexistent_extra_spec_id[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_list_volumes_with_nonexistent_name[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_list_volumes_with_nonexistent_name[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_list_volumes_detail_with_nonexistent_name[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_list_volumes_detail_with_nonexistent_name[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_list_volumes_with_invalid_status[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_list_volumes_with_invalid_status[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_list_volumes_with_nonexistent_name[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_list_volumes_with_nonexistent_name[gate,negative] ... ok
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTest.test_volume_force_delete_when_volume_is_attaching
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTest.test_volume_force_delete_when_volume_is_attaching ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_reserve_volume_with_negative_volume_status[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_reserve_volume_with_negative_volume_status[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_reserve_volume_with_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_reserve_volume_with_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_unreserve_volume_with_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_unreserve_volume_with_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_reserve_volume_with_negative_volume_status[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_reserve_volume_with_negative_volume_status[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_update_volume_with_empty_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_update_volume_with_empty_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_reserve_volume_with_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_reserve_volume_with_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_update_volume_with_invalid_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_update_volume_with_invalid_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_unreserve_volume_with_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_unreserve_volume_with_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_update_volume_with_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_update_volume_with_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_update_volume_with_empty_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_update_volume_with_empty_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_volume_delete_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_volume_delete_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_update_volume_with_invalid_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_update_volume_with_invalid_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list[gate,smoke]
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list[gate,smoke] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_volume_extend_with_None_size[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_volume_extend_with_None_size[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_update_volume_with_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_update_volume_with_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list[gate,smoke]
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list[gate,smoke] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_volume_extend_with_non_number_size[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_volume_extend_with_non_number_size[gate,negative] ... ok
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list_by_name[gate]
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list_by_name[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_volume_delete_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_volume_delete_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_volume_extend_with_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_volume_extend_with_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list_by_name[gate]
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list_by_name[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_volume_extend_with_None_size[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_volume_extend_with_None_size[gate,negative] ... ok
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list_details_by_name[gate]
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list_details_by_name[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_volume_extend_with_size_smaller_than_original_size[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_volume_extend_with_size_smaller_than_original_size[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_volume_extend_with_non_number_size[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_volume_extend_with_non_number_size[gate,negative] ... ok
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list_details_by_name[gate]
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list_details_by_name[gate] ... ok
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTestXML.test_snapshot_create_get_list_update_delete[gate]
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTestXML.test_snapshot_create_get_list_update_delete[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_volume_extend_without_passing_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_volume_extend_without_passing_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_actions.VolumesActionsTestXML.test_get_volume_attachment[compute,gate,stress]
tempest.api.volume.test_volumes_actions.VolumesActionsTestXML.test_get_volume_attachment[compute,gate,stress] ... ok
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list_param_display_name_and_status[gate]
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list_param_display_name_and_status[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_volume_extend_with_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_volume_extend_with_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_volume_get_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTestXML.test_volume_get_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list_param_display_name_and_status[gate]
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list_param_display_name_and_status[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_volume_extend_with_size_smaller_than_original_size[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_volume_extend_with_size_smaller_than_original_size[gate,negative] ... ok
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list_with_detail_param_display_name_and_status[gate]
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list_with_detail_param_display_name_and_status[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_volume_extend_without_passing_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_volume_extend_without_passing_volume_id[gate,negative] ... ok
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list_with_detail_param_display_name_and_status[gate]
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list_with_detail_param_display_name_and_status[gate] ... ok
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_volume_get_nonexistent_volume_id[gate,negative]
tempest.api.volume.test_volumes_negative.VolumesNegativeTest.test_volume_get_nonexistent_volume_id[gate,negative] ... ok
tempest.api.volume.test_snapshot_metadata.SnapshotMetadataTest.test_create_get_delete_snapshot_metadata[gate]
tempest.api.volume.test_snapshot_metadata.SnapshotMetadataTest.test_create_get_delete_snapshot_metadata[gate] ... ok
tempest.api.volume.test_snapshot_metadata.SnapshotMetadataTestXML.test_create_get_delete_snapshot_metadata[gate]
tempest.api.volume.test_snapshot_metadata.SnapshotMetadataTestXML.test_create_get_delete_snapshot_metadata[gate] ... ok
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list_with_detail_param_metadata[gate]
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list_with_detail_param_metadata[gate] ... ok
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list_with_detail_param_metadata[gate]
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list_with_detail_param_metadata[gate] ... ok
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list_with_details[gate]
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list_with_details[gate] ... ok
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list_with_details[gate]
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list_with_details[gate] ... ok
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list_with_param_metadata[gate]
tempest.api.volume.test_volumes_list.VolumesListTest.test_volume_list_with_param_metadata[gate] ... ok
tempest.api.volume.test_volumes_actions.VolumesActionsTestXML.test_reserve_unreserve_volume[gate]
tempest.api.volume.test_volumes_actions.VolumesActionsTestXML.test_reserve_unreserve_volume[gate] ... ok
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list_with_param_metadata[gate]
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volume_list_with_param_metadata[gate] ... ok
tempest.api.volume.test_volumes_list.VolumesListTest.test_volumes_list_by_availability_zone[gate]
tempest.api.volume.test_volumes_list.VolumesListTest.test_volumes_list_by_availability_zone[gate] ... ok
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volumes_list_by_availability_zone[gate]
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volumes_list_by_availability_zone[gate] ... ok
tempest.api.volume.test_volumes_get.VolumesGetTest.test_volume_create_get_update_delete_as_clone[gate]
tempest.api.volume.test_volumes_get.VolumesGetTest.test_volume_create_get_update_delete_as_clone[gate] ... ok
tempest.api.volume.test_volumes_list.VolumesListTest.test_volumes_list_by_status[gate]
tempest.api.volume.test_volumes_list.VolumesListTest.test_volumes_list_by_status[gate] ... ok
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volumes_list_by_status[gate]
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volumes_list_by_status[gate] ... ok
tempest.api.volume.test_volumes_list.VolumesListTest.test_volumes_list_details_by_availability_zone[gate]
tempest.api.volume.test_volumes_list.VolumesListTest.test_volumes_list_details_by_availability_zone[gate] ... ok
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTest.test_volume_force_delete_when_volume_is_creating
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTest.test_volume_force_delete_when_volume_is_creating ... ok
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volumes_list_details_by_availability_zone[gate]
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volumes_list_details_by_availability_zone[gate] ... ok
tempest.api.volume.test_volumes_list.VolumesListTest.test_volumes_list_details_by_status[gate]
tempest.api.volume.test_volumes_list.VolumesListTest.test_volumes_list_details_by_status[gate] ... ok
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volumes_list_details_by_status[gate]
tempest.api.volume.test_volumes_list.VolumeListTestXML.test_volumes_list_details_by_status[gate] ... ok
tempest.api.volume.test_snapshot_metadata.SnapshotMetadataTestXML.test_update_snapshot_metadata[gate]
tempest.api.volume.test_snapshot_metadata.SnapshotMetadataTestXML.test_update_snapshot_metadata[gate] ... ok
tempest.api.volume.test_snapshot_metadata.SnapshotMetadataTest.test_update_snapshot_metadata[gate]
tempest.api.volume.test_snapshot_metadata.SnapshotMetadataTest.test_update_snapshot_metadata[gate] ... ok
tempest.api.volume.test_volumes_actions.VolumesActionsTestXML.test_volume_extend[gate]
tempest.api.volume.test_volumes_actions.VolumesActionsTestXML.test_volume_extend[gate] ... ok
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTestXML.test_snapshots_list_details_with_params[gate]
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTestXML.test_snapshots_list_details_with_params[gate] ... ok
tempest.api.volume.test_volumes_actions.VolumesActionsTestXML.test_volume_readonly_update[gate]
tempest.api.volume.test_volumes_actions.VolumesActionsTestXML.test_volume_readonly_update[gate] ... ok
tempest.api.volume.test_snapshot_metadata.SnapshotMetadataTest.test_update_snapshot_metadata_item[gate]
tempest.api.volume.test_snapshot_metadata.SnapshotMetadataTest.test_update_snapshot_metadata_item[gate] ... ok
tempest.api.volume.test_snapshot_metadata.SnapshotMetadataTestXML.test_update_snapshot_metadata_item[gate]
tempest.api.volume.test_snapshot_metadata.SnapshotMetadataTestXML.test_update_snapshot_metadata_item[gate] ... ok
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTestXML.test_snapshots_list_with_params[gate]
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTestXML.test_snapshots_list_with_params[gate] ... ok
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTest.test_volume_force_delete_when_volume_is_error[gate]
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTest.test_volume_force_delete_when_volume_is_error[gate] ... ok
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTest.test_volume_reset_status[gate]
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTest.test_volume_reset_status[gate] ... ok
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTest.test_volume_roll_detaching[gate]
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTest.test_volume_roll_detaching[gate] ... ok
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTestXML.test_volume_begin_detaching[gate]
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTestXML.test_volume_begin_detaching[gate] ... ok
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTest.test_reset_snapshot_status[gate]
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTest.test_reset_snapshot_status[gate] ... ok
tempest.api.volume.test_volumes_get.VolumesGetTestXML.test_volume_create_get_update_delete_from_image[gate,image,smoke]
tempest.api.volume.test_volumes_get.VolumesGetTestXML.test_volume_create_get_update_delete_from_image[gate,image,smoke] ... ok
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTestXML.test_reset_snapshot_status[gate]
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTestXML.test_reset_snapshot_status[gate] ... ok
tempest.api.volume.test_volume_transfers.VolumesTransfersTestXML.test_create_get_list_accept_volume_transfer[gate]
tempest.api.volume.test_volume_transfers.VolumesTransfersTestXML.test_create_get_list_accept_volume_transfer[gate] ... ok
tempest.api.volume.test_volume_transfers.VolumesTransfersTest.test_create_get_list_accept_volume_transfer[gate]
tempest.api.volume.test_volume_transfers.VolumesTransfersTest.test_create_get_list_accept_volume_transfer[gate] ... ok
tempest.api.volume.test_volumes_actions.VolumesActionsTest.test_attach_detach_volume_to_instance[compute,gate,smoke,stress]
tempest.api.volume.test_volumes_actions.VolumesActionsTest.test_attach_detach_volume_to_instance[compute,gate,smoke,stress] ... ok
tempest.api.volume.test_volumes_actions.VolumesActionsTestXML.test_volume_upload[gate,image]
tempest.api.volume.test_volumes_actions.VolumesActionsTestXML.test_volume_upload[gate,image] ... ok
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTestXML.test_snapshot_force_delete_when_snapshot_is_creating[gate]
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTestXML.test_snapshot_force_delete_when_snapshot_is_creating[gate] ... ok
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTest.test_snapshot_force_delete_when_snapshot_is_creating[gate]
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTest.test_snapshot_force_delete_when_snapshot_is_creating[gate] ... ok
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTestXML.test_volume_force_delete_when_volume_is_attaching
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTestXML.test_volume_force_delete_when_volume_is_attaching ... ok
tempest.api.volume.test_volumes_get.VolumesGetTest.test_volume_create_get_update_delete_from_image[gate,image,smoke]
tempest.api.volume.test_volumes_get.VolumesGetTest.test_volume_create_get_update_delete_from_image[gate,image,smoke] ... ok
tempest.api.volume.test_volumes_actions.VolumesActionsTest.test_get_volume_attachment[compute,gate,stress]
tempest.api.volume.test_volumes_actions.VolumesActionsTest.test_get_volume_attachment[compute,gate,stress] ... ok
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTest.test_snapshot_create_get_list_update_delete[gate]
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTest.test_snapshot_create_get_list_update_delete[gate] ... ok
tempest.api.volume.test_volumes_actions.VolumesActionsTest.test_reserve_unreserve_volume[gate]
tempest.api.volume.test_volumes_actions.VolumesActionsTest.test_reserve_unreserve_volume[gate] ... ok
tempest.api.volume.test_volume_transfers.VolumesTransfersTestXML.test_create_list_delete_volume_transfer
tempest.api.volume.test_volume_transfers.VolumesTransfersTestXML.test_create_list_delete_volume_transfer ... ok
tempest.api.volume.test_volumes_actions.VolumesActionsTest.test_volume_extend[gate]
tempest.api.volume.test_volumes_actions.VolumesActionsTest.test_volume_extend[gate] ... ok
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTest.test_snapshot_force_delete_when_snapshot_is_deleting[gate]
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTest.test_snapshot_force_delete_when_snapshot_is_deleting[gate] ... ok
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTestXML.test_volume_from_snapshot[gate]
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTestXML.test_volume_from_snapshot[gate] ... ok
tempest.api.volume.test_volume_transfers.VolumesTransfersTest.test_create_list_delete_volume_transfer
tempest.api.volume.test_volume_transfers.VolumesTransfersTest.test_create_list_delete_volume_transfer ... ok
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTestXML.test_snapshot_force_delete_when_snapshot_is_deleting[gate]
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTestXML.test_snapshot_force_delete_when_snapshot_is_deleting[gate] ... ok
tempest.api.volume.test_volumes_actions.VolumesActionsTest.test_volume_readonly_update[gate]
tempest.api.volume.test_volumes_actions.VolumesActionsTest.test_volume_readonly_update[gate] ... ok
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTestXML.test_volume_force_delete_when_volume_is_creating
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTestXML.test_volume_force_delete_when_volume_is_creating ... ok
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTest.test_snapshots_list_details_with_params[gate]
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTest.test_snapshots_list_details_with_params[gate] ... ok
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTestXML.test_volume_force_delete_when_volume_is_error[gate]
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTestXML.test_volume_force_delete_when_volume_is_error[gate] ... ok
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTestXML.test_volume_reset_status[gate]
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTestXML.test_volume_reset_status[gate] ... ok
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTest.test_snapshot_force_delete_when_snapshot_is_error[gate]
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTest.test_snapshot_force_delete_when_snapshot_is_error[gate] ... ok
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTestXML.test_volume_roll_detaching[gate]
tempest.api.volume.admin.test_volumes_actions.VolumesActionsTestXML.test_volume_roll_detaching[gate] ... ok
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTest.test_snapshots_list_with_params[gate]
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTest.test_snapshots_list_with_params[gate] ... ok
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTestXML.test_snapshot_force_delete_when_snapshot_is_error[gate]
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTestXML.test_snapshot_force_delete_when_snapshot_is_error[gate] ... ok
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTest.test_snapshot_force_delete_when_snapshot_is_error_deleting[gate]
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTest.test_snapshot_force_delete_when_snapshot_is_error_deleting[gate] ... ok
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTest.test_update_snapshot_status[gate]
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTest.test_update_snapshot_status[gate] ... ok
tempest.api.volume.test_volumes_actions.VolumesActionsTest.test_volume_upload[gate,image]
tempest.api.volume.test_volumes_actions.VolumesActionsTest.test_volume_upload[gate,image] ... ok
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTestXML.test_snapshot_force_delete_when_snapshot_is_error_deleting[gate]
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTestXML.test_snapshot_force_delete_when_snapshot_is_error_deleting[gate] ... ok
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTestXML.test_update_snapshot_status[gate]
tempest.api.volume.admin.test_snapshots_actions.SnapshotsActionsTestXML.test_update_snapshot_status[gate] ... ok
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTest.test_volume_from_snapshot[gate]
tempest.api.volume.test_volumes_snapshots.VolumesSnapshotTest.test_volume_from_snapshot[gate] ... ok

----------------------------------------------------------------------
Ran 195 tests in 169.541s

OK (skipped=1)
./driver_certs/cinder_driver_cert.sh: line 94: running: command not found

========================================================
02/03/14/16:37:20:SORRY!!! Device driver FAILED!,
========================================================

Jim Branen (james-branen) wrote :

This is the cert test results for cinder driver;

https://review.openstack.org/#/c/65181/

Changed in cinder:
assignee: nobody → Jim Branen (james-branen)

Reviewed: https://review.openstack.org/65181
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=0e83faf4b84722a88ab35d8f0c3e391b0ec2d2af
Submitter: Jenkins
Branch: master

commit 0e83faf4b84722a88ab35d8f0c3e391b0ec2d2af
Author: Jim Branen <email address hidden>
Date: Mon Jan 6 16:14:35 2014 -0800

    New HP LeftHand array iSCSI driver

    This driver is intended to replace the current OpenStack Block
    Storage HP LeftHand (LH) StoreVirtual iSCSI Driver,
    (cinder.volume.drivers.san.HpSanISCSIDriver), by moving the
    existing SSH interface into the new driver to maintain backwards
    compatibility, and add the new LH REST interface for new driver
    features.

    We have the driver broken into 3 files:
    hp_lefthand_iscis.py (common interface)
    hp_lefthand_cliq_proxy.py (old SSH interface)
    hp_lefthand_rest_proxy.py (new REST interface)

    The reason we are doing this is because the SSH interface on LH
    array has connections and performance limitations. These problems
    will be resolved by moving to the new LH OS REST interface. Also,
    new LeftHand array capabilities will only be supported in the
    REST(hplefthandclient) interface.

    To support new driver capabilities (create cloned volume), the
    python REST client (hplefthandclient) is required and can be
    downloaded from the pypi repository:
      http://pypi.python.org/pypi/hplefthandclient.
    This REST client requires LeftHand firmware version 11.5 or
    greater.

    The SSH interface will be phased out over time.

    Driver cert test results;
    Related-Bug: 1276809

    Closes-Bug: 1277339

    DocImpact: Document new driver configuration.

    Implements blueprint lefthand-cinder-driver

    Change-Id: Id557cab69022c3f7851be14cd82bdab0e4157e55

tags: added: driver-cert
Changed in cinder:
status: New → Fix Committed
Thierry Carrez (ttx) on 2014-03-05
Changed in cinder:
milestone: none → icehouse-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in cinder:
milestone: icehouse-3 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers